Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Class NamespaceUtil

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.NamespaceUtil

    public class NamespaceUtil

extends Object

Field Summary
`static String` | `PREFIX_TO_NAME_SEPARATOR`

Constructor Summary
`NamespaceUtil()`

Method Summary
`static String` | `getFullName(OWLModel owlModel, String prefixedName)`
`static String` | `getLocalName(String fullURI)`
`static String` | `getNameSpace(String fullURI)`
`static String` | `getPrefixedName(NamespaceManager names, String fullURI)`
`static String` | `getPrefixedName(OWLModel owlModel, String fullURI)`
`static String` | `getPrefixForResourceName(OWLModel owlModel, String fullURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX_TO_NAME_SEPARATOR

    public static final String PREFIX_TO_NAME_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### NamespaceUtil

    public NamespaceUtil()

Method Detail

### getNameSpace

    public static String getNameSpace(String fullURI)

### getLocalName

    public static String getLocalName(String fullURI)

### getPrefixForResourceName

    public static String getPrefixForResourceName(OWLModel owlModel,
                                                  String fullURI)

### getPrefixedName

    public static String getPrefixedName(OWLModel owlModel,
                                         String fullURI)

### getPrefixedName

    public static String getPrefixedName(NamespaceManager names,
                                         String fullURI)

### getFullName

    public static String getFullName(OWLModel owlModel,
                                     String prefixedName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.